
local startFuelN
local regFuelN
local fuelColor 
local maxFuelN
local pctFuelN
local WatchFuel = ""   

-- for fuel transfer level

local fuelDeposit = 0
local fuelDepositMax = 350

--- end

addHook("PlayerSpawn", function(player)
	 startFuelN = tonumber(mapheaderinfo[gamemap].startfuel)
	regFuelN = tonumber(mapheaderinfo[gamemap].startfuel)
	maxFuelN = tonumber(mapheaderinfo[gamemap].maxfuel)
	fuelDeposit = 0
end)




addHook("PlayerThink", function(player)
	if 	leveltime % 35 == 0 and regFuelN != 0 and player.panim == PA_ABILITY
		regFuelN = regFuelN-1
	end
	
	if 	regFuelN == 0 and player and player.mo and player.mo.valid and player.playerstate == PST_LIVE and player.panim == PA_ABILITY	
			P_KillMobj(player.mo)
	end
end )



 --- sets some stuff for the hud

local maxmissions = 60
local mycompass
local hrcompass
local hoopcount
local cycletext
local passorfail = "NOVALUE"


 --- converts player angle to human readable compass direction



addHook("PlayerThink", function(player)
	
	
	mycompass = (player.mo.angle / 10000000)

	if mycompass > -54 and mycompass < 54 then 
		hrcompass = "E"
	elseif mycompass > 54 and mycompass < 162 then 
		hrcompass = "\x85N\x80"
	elseif mycompass > -162 and mycompass < -54 then 
		hrcompass = "S"
	elseif mycompass > 162 or mycompass < -162 then 
		hrcompass = "W"
	end	

end)



addHook("PlayerThink", function(player)
	
	
	
	if regFuelN <= startFuelN*3/3 and regFuelN > startFuelN*2/3
		fuelColor = "\x8B\x46\x55\x45\x4C\x80 "
	elseif regFuelN <= startFuelN*2/3 and regFuelN > startFuelN*1/3
		fuelColor = "\x82\x46\x55\x45\x4C\x80 "
	elseif regFuelN <= startFuelN*1/3
		fuelColor = "\x85\x46\x55\x45\x4C\x80 "
	end	

end)

addHook("PlayerThink", function(player)

	if regFuelN <= startFuelN*1/3 --- draws low fuel warning
		WatchFuel = "FUEL LOW"
	else
		WatchFuel = ""                  
	end

	
end)


--- function to draw low fuel warning


local function drawhud(v, player, cam)
	 v.drawString( ((v.width()/v.dupx()/2)), (v.height()/v.dupy()*2/3)+20, WatchFuel, V_SNAPTOTOP|V_SNAPTOLEFT, "center")	
end
hud.add(drawhud, "game")




---- fuels up in tag 2220



local function fuelChar(line, mo)


	
	if 	leveltime % 35 == 0 
		if regFuelN < (maxFuelN) 
			regFuelN = regFuelN+11
			S_StartSound(null, sfx_s249		)
		end
	end
	
	if 	leveltime != 0 and regFuelN >= (maxFuelN)
			regFuelN = (maxFuelN)
	end
	
	
end

addHook("LinedefExecute", fuelChar, "FUELUP")



--- tracks fuel deposit in fuel deposit level, when player in sector 3219

local function fuelChar(line, mo)


	if 	leveltime % 35 == 0 

		if regFuelN > 5 and fuelDeposit <= fuelDepositMax
			regFuelN = regFuelN-9
			fuelDeposit = fuelDeposit+10
			S_StartSound(null, sfx_s249		)
		end
	end
	
	if	leveltime != 0 and regFuelN <= 5
		regFuelN = 5
	end

	
end

addHook("LinedefExecute", fuelChar, "FUELDN")


-- triggers exit for fuel level
-- applies to a sector over entire level, tagged 2221
-- RF GOAL INSTEAD OF NTGOAL

local function fueltrExit(line, mo)
	for player in players.iterate
			if fuelDeposit >= fuelDepositMax then
				G_SetCustomExitVars(default, 1)	
				G_ExitLevel()
			end	

	end		
end


addHook("LinedefExecute", fueltrExit, "RFGOAL")


---



 --- draws the extra hud

local function drawhud(v, player, cam)

if gamemap != 98 and player.realtime > 50
	  v.drawString( 200, 15,  fuelColor .. regFuelN .. "/" .. maxFuelN, V_SNAPTORIGHT|V_SNAPTOTOP|V_PERPLAYER)
	  v.drawString( 200, 30, "COMPASS " .. hrcompass , V_SNAPTORIGHT|V_SNAPTOTOP|V_PERPLAYER)
	  
	if tonumber(mapheaderinfo[gamemap].hoopneed) > 0
		v.drawString( 200, 45, "GOAL " .. player.score/10 .. "/" .. tonumber(mapheaderinfo[gamemap].hoopneed), V_SNAPTORIGHT|V_SNAPTOTOP|V_PERPLAYER)
	elseif  tonumber(mapheaderinfo[gamemap].hoopneed) == 0
		v.drawString( 200, 45, mapheaderinfo[gamemap].wordneed, V_SNAPTORIGHT|V_SNAPTOTOP|V_PERPLAYER)
elseif  tonumber(mapheaderinfo[gamemap].hoopneed) == -2  ---for fuel transfer level only
		v.drawString( 200, 45, fuelDeposit .. "/" .. fuelDepositMax .. "MOVED", V_SNAPTORIGHT|V_SNAPTOTOP|V_PERPLAYER)
	 end
end

end
hud.add(drawhud, "game")

		-- unused
	  --v.drawString( 200, 15, "MISSION " .. mapheaderinfo[gamemap].mission .. "/" .. maxmissions , V_SNAPTORIGHT|V_SNAPTOTOP|V_PERPLAYER)
	  --v.drawString( 200, 45, "ALTITUDE " .. player.mo.z/1000000, V_SNAPTORIGHT|V_SNAPTOTOP|V_PERPLAYER)
	  --v.drawString( (v.width()/v.dupx())-90 , 130, player.realtime, V_SNAPTORIGHT|V_SNAPTOTOP|V_PERPLAYER)



